org.apache.lucene.document

## Class BinaryDocValuesField

- java.lang.Object
- - org.apache.lucene.document.Field
  - - org.apache.lucene.document.BinaryDocValuesField

All Implemented Interfaces:
  IndexableField

Direct Known Subclasses:
  DerefBytesDocValuesField, StraightBytesDocValuesField

    public class BinaryDocValuesField
    extends Field

Field that stores a per-document `BytesRef` value.

The values are stored directly with no sharing, which is a good fit when the fields don't share (many) values, such as a title field. If values may be shared and sorted it's better to use `SortedDocValuesField`. Here's an example usage:

       document.add(new BinaryDocValuesField(name, new BytesRef("hello")));

If you also need to store the value, you should add a separate `StoredField` instance.

See Also:
  `BinaryDocValues`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.document.Field

`Field.Index, Field.Store, Field.TermVector`

### Field Summary

Fields
`static FieldType` `TYPE` Type for straight bytes DocValues.

### Fields inherited from class org.apache.lucene.document.Field

`boost, fieldsData, name, tokenStream, type`

### Constructor Summary

Constructors
Constructor and Description
`BinaryDocValuesField(String name, BytesRef value)` Create a new binary DocValues field.

### Method Summary

### Methods inherited from class org.apache.lucene.document.Field

`binaryValue, boost, fieldType, name, numericValue, readerValue, setBoost, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue, toString, translateFieldType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TYPE

    public static final FieldType TYPE

Type for straight bytes DocValues.

### Constructor Detail

#### BinaryDocValuesField

    public BinaryDocValuesField(String name,
                        BytesRef value)

Create a new binary DocValues field.

Parameters:
  `name` - field name
  `value` - binary content
Throws:
  `IllegalArgumentException` - if the field name is null